<?php
declare(strict_types=0);

function set_rpispdf($fecha,$enti)
{
     if(empty($link_data)){$link_data=$_SESSION['link_data'];}
     if(empty($cfg_empr)){$cfg_empr=$_SESSION['cfg_empr'];}

     $empr0=data_maes('empr',$_SESSION['empr_codigo']);

     include_once('PdfToText.phpclass');
     
     $pdf_file='../'.$cfg_empr.'/rpis/'.'RPIS_'.$fecha.'_'.$enti.'.pdf';
//      $pdf_file='../rpis/'.'RPIS_'.$fecha.'_'.$enti.'.pdf';
//      echo '==='.$pdf_file;
     if(file_exists($pdf_file))
     {
          $pdf = new PdfToText ( $pdf_file ) ;
          $file = $pdf -> Text ;
          
          $xdato=$file;
          $xdato=substr($xdato,strpos($xdato,'SeguroTipo de seguro'),1000);
          
          
          $xdato=substr($xdato,strpos($xdato,'IESS'),1000);
          $xdato=substr($xdato,0,strpos($xdato,'ISSFA'));
          if(substr($xdato,0,4)=='IESS')
          {
               $xdato=substr($xdato,4);
               
//                $iess_cober=0;
               if(mb_stristr($xdato,'si registra cobertura'))
               {$iess_cober=substr($xdato,strrpos($xdato,'registra cobertura')-3);}

               $xdato=substr($xdato,0,strrpos($xdato,'registra cobertura')-3);
               $iess_tipo=$xdato;

//                $sql_updt='update rpis0 set ';
//                $sql_updt.='rpis_iess_tipo="'.$iess_tipo.'",';
//                $sql_updt.='rpis_iess_cober="'.$iess_cober.'",';
//                $sql_updt.='where rpis_fecha="'.$fecha.'"';
//                $sql_updt.='and rpis_cedula="'.$enti.'"';
//                $res_updt=msql_query($sql_updt,$link_data);

          }
          

          $xdato=$file;
          $xdato=substr($xdato,strpos($xdato,'RED PRIVADA'),1000);
          $xdato=substr($xdato,strpos($xdato,'dos del Beneficiario'),1000);
          $xdato=substr($xdato,20,13);
          $seguro=$xdato;

               $sql_updt='update rpis0 set ';
               $sql_updt.='rpis_iess_tipo="'.$iess_tipo.'",';
               $sql_updt.='rpis_iess_cober="'.$iess_cober.'",';
               $sql_updt.='rpis_seguro="'.$seguro.'",';
               $sql_updt.='where rpis_fecha="'.$fecha.'"';
               $sql_updt.='and rpis_cedula="'.$enti.'"';
               $res_updt=msql_query($sql_updt,$link_data);

          inse_maes('enti',$seguro,"");
          $segu_enti=data_maes('enti',$seguro);
          if(strlen($segu_enti['enti_descri'])<=4)
          {vali_enti($seguro);}
          
// //           $xdato=substr($xdato,0,strpos($xdato,'ISSFA'));
//           if(substr($xdato,0,3)=='RED')
//           {
//                $xdato=substr($xdato,4);
               
// //                $iess_cober=0;
//                if(mb_stristr($xdato,'si registra cobertura'))
//                {$iess_cober=substr($xdato,strrpos($xdato,'registra cobertura')-3);}

//                $xdato=substr($xdato,0,strrpos($xdato,'registra cobertura')-3);
//                $iess_tipo=$xdato;

//                echo '<br><br>==='.$seguro;
//                echo '<br><br>==='.$file;
//           }
          
          
          
     }
}


function set_enti_veter()
{
     if(empty($link_data)){$link_data=$_SESSION['link_data'];}
     if(empty($cfg_empr)){$cfg_empr=$_SESSION['cfg_empr'];}

     $empr0=data_maes('empr',$_SESSION['empr_codigo']);

     if(empty($empr0['empr_veterinaria'])){return;}
     
     
     
     $sql_updt ='update enti0 set ';
     $sql_updt.='enti_especie=case ';
     
     $raza='golden.french.chihua.pequin.husk.labra';
     $raza=explode('.',$raza);
     for($idx=0; $idx<count($raza); $idx++)
     {if(strlen($raza[$idx])>=3){$sql_updt.='when enti_raza like "'.$raza[$idx].'%" then "CANINO" ';}}
     
     $raza='siame.angora';
     $raza=explode('.',$raza);
     for($idx=0; $idx<count($raza); $idx++)
     {if(strlen($raza[$idx])>=3){$sql_updt.='when enti_raza like "'.$raza[$idx].'%" then "FELINO" ';}}
     
     $sql_updt.='else enti_especie end ';
     $res_updt=msql_query($sql_updt,$link_data);
//      echo $sql_updt;     
}

function set_hora2grg($modu='vtas',$docu='FC10',$ptov='')
{
     if(empty($link_data)){$link_data=$_SESSION['link_data'];}
     if(empty($cfg_empr)){$cfg_empr=$_SESSION['cfg_empr'];}
//      if(empty($ptov)){return;}
     
     if($ptov=='001102'){return;}
     
//      $freemins=5;
     $freemins=3;

     $empr0=data_maes('empr',$_SESSION['empr_codigo']);

     if(empty($empr0['empr_garage'])){return;}
     
     
     {
     // HORA 2
     $sql_updt ='update '.$modu.'1 ';
     $sql_updt.='left join '.$modu.'2 on idnum1=idnum2 ';
     $sql_updt.='set hora2="'.date('H:i').'" ';
     $sql_updt.='where fecha="'.date('Y-m-d').'" ';
     $sql_updt.='and docu="'.$docu.'" ';
     
     if(!empty($ptov))     
     {$sql_updt.='and ptov="'.$ptov.'" ';}
          
     $sql_updt.='and ifnull(status,"")="-" ';
     $sql_updt.='and ifnull(hora1,"")!="" ';
     $sql_updt.='and ifnull(stfin,"")!="1" ';
     $res_updt=msql_query($sql_updt,$link_data);
          
//           echo '<br>==='.$sql_updt;

     // CANTIDAD
     $sql_updt ='update '.$modu.'1 ';
     $sql_updt.='left join '.$modu.'2 on idnum1=idnum2 ';
     $sql_updt.='set cant=case ';
     $sql_updt.='when substring(timediff(hora2,hora1),4,2)>'.$freemins.' then substring(timediff(hora2,hora1),1,2)+1 ';
     $sql_updt.='when substring(timediff(hora2,hora1),4,2)<='.$freemins.' then substring(timediff(hora2,hora1),1,2) ';
     $sql_updt.='else 1 end ';
     $sql_updt.='where fecha="'.date('Y-m-d').'" ';
     $sql_updt.='and docu="'.$docu.'" ';
    
     if(!empty($ptov)) 
     {$sql_updt.='and ptov="'.$ptov.'" ';}
          
     $sql_updt.='and ifnull(status,"")="-" ';
     $sql_updt.='and ifnull(hora1,"")!="" ';
     $sql_updt.='and ifnull(hora2,"")!="" ';
     $res_updt=msql_query($sql_updt,$link_data);

     $sql_updt ='update '.$modu.'1 ';
     $sql_updt.='left join '.$modu.'2 on idnum1=idnum2 ';
     $sql_updt.='set cant=1 ';
     $sql_updt.='where fecha="'.date('Y-m-d').'" ';
     $sql_updt.='and docu="'.$docu.'" ';
          
     if(!empty($ptov)) 
     {$sql_updt.='and ptov="'.$ptov.'" ';}
          
     $sql_updt.='and ifnull(cant,0)=0 ';
     $res_updt=msql_query($sql_updt,$link_data);

          
     // tarifa maxima     
     $sql_updt ='update '.$modu.'1 ';
     $sql_updt.='left join '.$modu.'2 on idnum1=idnum2 ';
     $sql_updt.='set cant=8 ';
     $sql_updt.='where fecha="'.date('Y-m-d').'" ';
     $sql_updt.='and docu="'.$docu.'" ';
          
     if(!empty($ptov)) 
     {$sql_updt.='and ptov="'.$ptov.'" ';}
          
     $sql_updt.='and ifnull(cant,0)>=8 ';
     $res_updt=msql_query($sql_updt,$link_data);


     // tarifa
     // if($empr=='dtec')
//      echo '*/*/'.$_SESSION['cfg_empr'];     
     if($_SESSION['cfg_empr']=='dtec')
     {
          $sql_updt ='update '.$modu.'1 ';
          $sql_updt.='left join '.$modu.'2 on idnum1=idnum2 ';
          $sql_updt.='left join vhcl0 on vhcl=vhcl_codigo ';
          $sql_updt.='set item=case ';
          $sql_updt.='when vhcl_clase like "MOTO%" then "20100018" ';
//           $sql_updt.='when vhcl_clase like "AUTO%" then "20100025" ';
          $sql_updt.='else item end ';
          $sql_updt.='where fecha="'.date('Y-m-d').'" ';
          $sql_updt.='and docu="'.$docu.'" ';
          if(!empty($ptov)) 
          {$sql_updt.='and ptov="'.$ptov.'" ';}
          $sql_updt.='and ifnull(status,"")="-" ';
          $sql_updt.='and ifnull(stfin,"")!="1" ';
          $res_updt=msql_query($sql_updt,$link_data);
     }

     $sql_updt ='update '.$modu.'1 ';
     $sql_updt.='left join '.$modu.'2 on idnum1=idnum2 ';
     $sql_updt.='left join item0 on item=item_codigo ';
     $sql_updt.='set puni=item_puni1, iva=item_iva ';
     $sql_updt.='where fecha="'.date('Y-m-d').'" ';
     $sql_updt.='and docu="'.$docu.'" ';
     if(!empty($ptov))      
     {$sql_updt.='and ptov="'.$ptov.'" ';}
     $sql_updt.='and ifnull(status,"")="-" ';
     $sql_updt.='and ifnull(stfin,"")!="1" ';
     $res_updt=msql_query($sql_updt,$link_data);

     }
     
}

function set_hora2btc($modu='btc',$docu='BTC!',$ptoe='')
{
return;
     if(empty($link_data)){$link_data=$_SESSION['link_data'];}
     if(empty($cfg_empr)){$cfg_empr=$_SESSION['cfg_empr'];}
     if(empty($ptoe)){return;}
     
//      $freemins=5;
     $freemins=3;
     
     $empr0=data_maes('empr',$_SESSION['empr_codigo']);

     if(empty($empr0['empr_garage'])){return;}
     {
     // HORA 2
     $sql_updt ='update '.$modu.'1 left join '.$modu.'2 on idnum1=idnum2 ';
     $sql_updt.='set hora2="'.date('H:i').'" ';
     $sql_updt.='where fecha="'.date('Y-m-d').'" ';
     $sql_updt.='and docu="'.$docu.'" ';
     $sql_updt.='and ptoe="'.$ptoe.'" ';
     $sql_updt.='and ifnull(status,"")="-" ';
     $sql_updt.='and ifnull(hora1,"")!="" ';
     $sql_updt.='and ifnull(stfin,"")!="1" ';
     $res_updt=msql_query($sql_updt,$link_data);

     // CANTIDAD
     $sql_updt ='update '.$modu.'1 left join '.$modu.'2 on idnum1=idnum2 ';
     $sql_updt.='set cant=case ';
     $sql_updt.='when substring(timediff(hora2,hora1),4,2)>'.$freemins.' then substring(timediff(hora2,hora1),1,2)+1 ';
     $sql_updt.='when substring(timediff(hora2,hora1),4,2)<='.$freemins.' then substring(timediff(hora2,hora1),1,2) ';
     $sql_updt.='else 1 end ';
     $sql_updt.='where fecha="'.date('Y-m-d').'" ';
     $sql_updt.='and docu="'.$docu.'" ';
     $sql_updt.='and ptoe="'.$ptoe.'" ';
     $sql_updt.='and ifnull(status,"")="-" ';
     $sql_updt.='and ifnull(hora1,"")!="" ';
     $sql_updt.='and ifnull(hora2,"")!="" ';
     $res_updt=msql_query($sql_updt,$link_data);

     $sql_updt ='update '.$modu.'1 left join '.$modu.'2 on idnum1=idnum2 ';
     $sql_updt.='set cant=1 ';
     $sql_updt.='where fecha="'.date('Y-m-d').'" ';
     $sql_updt.='and docu="'.$docu.'" ';
     $sql_updt.='and ptoe="'.$ptoe.'" ';
     $sql_updt.='and ifnull(cant,0)=0 ';
     $res_updt=msql_query($sql_updt,$link_data);

     $sql_updt ='update '.$modu.'1 left join '.$modu.'2 on idnum1=idnum2 ';
     $sql_updt.='set cant=8 ';
     $sql_updt.='where fecha="'.date('Y-m-d').'" ';
     $sql_updt.='and docu="'.$docu.'" ';
     $sql_updt.='and ptoe="'.$ptoe.'" ';
     $sql_updt.='and ifnull(cant,0)>=8 ';
     $res_updt=msql_query($sql_updt,$link_data);


     // tarifa
     // if($empr=='dtec')
     // echo '*/*/'.$_SESSION['cfg_empr'];     
     if($_SESSION['cfg_empr']=='dtec')
     {
          $sql_updt ='update '.$modu.'1 ';
          $sql_updt.='left join '.$modu.'2 on idnum1=idnum2 ';
          $sql_updt.='left join vhcl0 on vhcl=vhcl_codigo ';
          $sql_updt.='set item=case ';
          $sql_updt.='when vhcl_clase like "MOTO%" then "20100018" ';
//           $sql_updt.='when vhcl_clase like "AUTO%" then "20100025" ';
          $sql_updt.='else item end ';
          $sql_updt.='where fecha="'.date('Y-m-d').'" ';
          $sql_updt.='and docu="'.$docu.'" ';
          $sql_updt.='and ptoe="'.$ptoe.'" ';
          $sql_updt.='and ifnull(status,"")="-" ';
          $sql_updt.='and ifnull(stfin,"")!="1" ';
          $res_updt=msql_query($sql_updt,$link_data);
     }

     $sql_updt ='update '.$modu.'1 ';
     $sql_updt.='left join '.$modu.'2 on idnum1=idnum2 ';
     $sql_updt.='left join item0 on item=item_codigo ';
     $sql_updt.='set puni=item_puni1, iva=item_iva ';
     $sql_updt.='where fecha="'.date('Y-m-d').'" ';
     $sql_updt.='and docu="'.$docu.'" ';
     $sql_updt.='and ptoe="'.$ptoe.'" ';
     $sql_updt.='and ifnull(status,"")="-" ';
     $sql_updt.='and ifnull(stfin,"")!="1" ';
     $res_updt=msql_query($sql_updt,$link_data);

     }
     
}

function set_lsub_orel()
{
     if(empty($link_data)){$link_data=$_SESSION['link_data'];}
     if(empty($cfg_empr)){$cfg_empr=$_SESSION['cfg_empr'];}

     if($cfg_empr!='orel'){return;}
     
     $sql_lsub='select count(lsub_descri) as ccc, lsub_descri from lsub0 where lsub_status!="X" group by lsub_descri order by ccc desc';
     $res_lsub=msql_query($sql_lsub,$link_data);
     $ccc=msql_result($res_lsub,0,'ccc');
       
//      if($ccc>1)
     {
          $sql_updt='update item0 set item_dpre=6';
          $res_updt=msql_query($sql_updt,$link_data);
          
          $sql_updt='update item0 set item_lsub=trim(item_lsub)';
          $res_updt=msql_query($sql_updt,$link_data);

          $sql_updt ='update item0 set item_lsub=case ';
          $sql_updt.='when item_lsub like "UNIV%" then "UNIV-" ';
          $sql_updt.='when item_lsub like "COM%" then "COMP-" ';
          $sql_updt.='when item_lsub like "ROB%" then "ROBO-" ';
          $sql_updt.='when item_lsub like "REP%" then "REPU-" ';
          $sql_updt.='when item_lsub like "FER%" then "FERR-" ';
          $sql_updt.='when item_lsub like "ELECTRO%" then "ELCA-" ';
          $sql_updt.='when item_lsub = "ELE" then "ELCA-" ';
          $sql_updt.='when item_lsub = "ELI" then "ELCO-" ';
          $sql_updt.='when item_lsub = "UNI" then "UNIV-" ';
          $sql_updt.='when item_lsub = "ELECTRI" then "ELCO-" ';
          $sql_updt.='else item_lsub ';
          $sql_updt.='end ';
          $res_updt=msql_query($sql_updt,$link_data);
          
          $sql_dele ='delete from lsub0 where lsub_codigo in';
          $sql_dele.='("FERR-","COMP-","ELCA-","ELCO-","REPU-","UNIV-","ROBO-","GENE-","EICA-","EICO-")';
          $res_dele=msql_query($sql_dele,$link_data);
          
          $sql_updt ='insert into lsub0(lsub_codigo,lsub_descri,lsub_status)value';
          $sql_updt.='("FERR-","FERRETERIA","-"),';
          $sql_updt.='("COMP-","COMPUTACION","-"),';
          $sql_updt.='("ELCA-","ELECTRONICA","-"),';
          $sql_updt.='("ELCO-","ELECTRICO","-"),';
          $sql_updt.='("REPU-","REPUESTOS","-"),';
          $sql_updt.='("UNIV-","UNIVERSAL","-"),';
          $sql_updt.='("ROBO-","ROBOTICA","-"),';
          $sql_updt.='("GENE-","GENERAL","-")';
          $res_updt=msql_query($sql_updt,$link_data);

          $sql_updt='update lsub0 set lsub_status="X"';
          $res_updt=msql_query($sql_updt,$link_data);

//           $sql_updt='update lsub0 set lsub_status="-" where lsub_codigo in(select distinct item_lsub from item0)';
          $sql_updt='update lsub0 set lsub_status="-" where substring(lsub_codigo,5) in(select distinct substring(item_lsub,5) from item0)';
          $res_updt=msql_query($sql_updt,$link_data);

          //     set_marca()
     }
     
     return;
}

function set_bcos()
{
     if(empty($link_data)){$link_data=$_SESSION['link_data'];}
     if(empty($cfg_empr)){$cfg_empr=$_SESSION['cfg_empr'];}

     
     $sql_updt='alter table bcos1 add column bcos varchar(6)';
     $res_updt=@msql_query($sql_updt,$link_data);
     
     $sql_updt='update bcos1 set bcos=ctab where trim(ctab)!="" and ctab is not null and bcos is null';
     $res_updt=@msql_query($sql_updt,$link_data);
     
     $sql_updt='alter table bcos0 add column bcos_enti varchar(13)';
     $res_updt=@msql_query($sql_updt,$link_data);
     
     $sql_updt='alter table bcos0 add column bcos_numero varchar(16)';
     $res_updt=@msql_query($sql_updt,$link_data);
     
     $sql_updt='alter table bcos0 add column bcos_ctacont varchar(13)';
     $res_updt=@msql_query($sql_updt,$link_data);
     
     
     $sql_ctab='select * from ctab0';
     $res_ctab=msql_query($sql_ctab,$link_data);
     while($aso_ctab=msql_fetch_assoc($res_ctab))
     {
          $ctab_codi=$aso_ctab['ctab_codigo'];
          
          $sql_inse='insert into bcos0(bcos_codigo) value("'.$ctab_codi.'")';
          $res_inse=@msql_query($sql_inse,$link_data);

          $field='descri';
          $sql_updt='update bcos0 set bcos_'.$field.'="'.$aso_ctab['ctab_'.$field].'" where bcos_codigo="'.$ctab_codi.'"';
          $res_updt=msql_query($sql_updt,$link_data);
          
          $field='status';
          $sql_updt='update bcos0 set bcos_'.$field.'="'.$aso_ctab['ctab_'.$field].'" where bcos_codigo="'.$ctab_codi.'"';
          $res_updt=msql_query($sql_updt,$link_data);
          
          $field='ctacont';
          $sql_updt='update bcos0 set bcos_'.$field.'="'.$aso_ctab['ctab_'.$field].'" where bcos_codigo="'.$ctab_codi.'"';
          $res_updt=msql_query($sql_updt,$link_data);
          
          $field='enti';
          $sql_updt='update bcos0 set bcos_'.$field.'="'.$aso_ctab['ctab_'.$field].'" where bcos_codigo="'.$ctab_codi.'"';
          $res_updt=msql_query($sql_updt,$link_data);
          
     }
          
          
     
}
     

function pcs1_calc1($docu,$idnum='')
{
     if($idnum==8649){return;}
     if(empty($idnum)){return;}

// recalcula descuentos para contratos
     if($cfg_empr!='pcs1' and $_SESSION['empr_codigo']!='pcs1'){return;}
     if(!mb_stristr('FC',substr($docu,0,2))){return;}

     if(empty($link_data)){$link_data=$_SESSION['link_data'];}
     if(empty($cfg_empr)){$cfg_empr=$_SESSION['cfg_empr'];}
     
     
     $tabla='vtas';
     $sql_docu='select * from '.$tabla.'1 where idnum1='.$idnum;
     $res_docu=msql_query($sql_docu,$link_data);
     $enti=msql_result($res_docu,0,'enti');
     $fecha=msql_result($res_docu,0,'fecha');
     $autornum=msql_result($res_docu,0,'autornum');
     if(!empty($autornum)){return;}

     $total = 2333.33;
     //solicitado el 15/mar/19
     if($fecha>="2019-03-01"){$total = 666.67;}
     if($fecha>="2019-06-01"){$total = 2333.33;}
     if($fecha>="2020-03-01"){$total = 746.67;}
     if($fecha>="2020-06-01"){$total = 2333.33;}
     if($fecha>="2021-03-24"){$total = 746.67;}
     if($fecha>="2021-06-01"){$total = 2333.33;}
     if($fecha>="2022-03-22"){$total = 746.67;}
     if($fecha>="2022-04-20"){$total = 3961.49;}
     if($fecha>="2023-01-01"){$total = 3873.33;}
     if($fecha>="2024-05-01"){$total = 3977.0795;}

     
     if(mb_stristr('0992142618001',$enti))
// avicola fernandez
     {
 // contenedores con precio 0
//       $xcntns='"HDCR1127351","MORU5805134","VERU4752203"';
//       $xcntns='"HDCR1127351","MORU5805134","VERU4752203","GCEU66625054"';

//       if($fecha>="2020-05-01"){$xcntns='"HDCR1127351"';}
//       if($fecha>="2020-06-01"){$xcntns='"HDCR1127351","MORU5805134","VERU4752203"';;}
          if($fecha>="2021-06-01")
          {
           $xcntns ='';
           $xcntns.='"GCEU6625054",';
           $xcntns.='"VERU4761186",';
           $xcntns.='"TRIU8472285",';
           $xcntns.='"TRIU8366025",';
           $xcntns.='"APRU5024871",';
           $xcntns.='"TRIU8283830",';
           $xcntns.='"TOLU7831461",';
           $xcntns.='"GTIU8001250",';
           $xcntns.='"TRIU8284781",';
               
          // agregados 2025-08-25               
//            $xcntns.='"MORU5805134",';
//            $xcntns.='"VERU4752203",';
               
           $xcntns.='"ZZZZ9999999"';
               
               //2025-04-22
//            $xcntns.='"MORU5805134"';
//            $xcntns.='"VERU4752203"';
//            $xcntns.='"HDCR1127351"';
          }
          
//           echo '===>'.$xcntns;

          $cntn_espe=0;
 // calcula descuento para ajustar al valor
           $sql_docu='select * from '.$tabla.'2 where idnum2='.$idnum.' and cntn in ('.$xcntns.')';
           $res_docu=msql_query($sql_docu,$link_data);
           $nitems = msql_num_rows($res_docu);
           $txitem = $total/$nitems;
          
          if($nitems>0){$cntn_espe=1;}

          while($aso_docu=msql_fetch_assoc($res_docu))
          {
               $xdcto=(1-(($txitem/(1+$aso_docu['iva']/100))/($aso_docu['cant']*$aso_docu['puni'])))*100;
               if($xdcto>0 and $xdcto<99)
               {
                    $sql_updt='update '.$tabla.'2 set dcto='.$xdcto.' where idnum2='.$idnum.' and iddet='.$aso_docu['iddet'];
                    $res_updt=msql_query($sql_updt,$link_data);
//                $cntn_espe=1;
               } 
          }      

           // precio 0 para contenedores NO selecionados
           $sql_docu='select * from '.$tabla.'2 where idnum2='.$idnum.' and cntn not in ('.$xcntns.')';
           $res_docu=msql_query($sql_docu,$link_data);
           $nitems = msql_num_rows($res_docu);
           $txitem = $total/$nitems;

          if($cntn_espe==0)
          while($aso_docu=msql_fetch_assoc($res_docu))
          {
               $xdcto=(1-(($txitem/(1+$aso_docu['iva']/100))/($aso_docu['cant']*$aso_docu['puni'])))*100;
               $xdcto=99.99;
//                if($xdcto>0)
//                {
//                     $sql_updt='update '.$tabla.'2 set puni=0.000001, dcto='.$xdcto.' where idnum2='.$idnum.' and iddet='.$aso_docu['iddet'];
//                     $res_updt=msql_query($sql_updt,$link_data);

//                     if($fecha>="2021-06-16")
//                     {
//                       $sql_updt='update '.$tabla.'2 set puni=19.50, dcto=0 where idnum2='.$idnum.' and iddet='.$aso_docu['iddet'].' and cntn not in('.$xcntns.')';
//                       $res_updt=msql_query($sql_updt,$link_data);
//                     }
//                     if($fecha>="2025-04-22")
//                     {
//                       $sql_updt='update '.$tabla.'2 set puni=0.000001, dcto=0 where idnum2='.$idnum.' and iddet='.$aso_docu['iddet'].' and cntn not in('.$xcntns.')';
//                       $res_updt=msql_query($sql_updt,$link_data);
//                     }
//                     if($fecha>="2025-08-25")
//                     {
//                       $sql_updt='update '.$tabla.'2 set puni=19.50, dcto=0 where idnum2='.$idnum.' and iddet='.$aso_docu['iddet'].' and cntn not in('.$xcntns.')';
//                       $res_updt=msql_query($sql_updt,$link_data);
//                     }
//                } 
          }      

     }

     
     
     return;
}


function set_comi()
{
     if(empty($link_data)){$link_data=$_SESSION['link_data'];}
     if(empty($cfg_empr)){$cfg_empr=$_SESSION['cfg_empr'];}

     $empr0=data_maes('empr',$_SESSION['empr_codigo']);
     
     if($empr0['empr_codigo']=='imcp')
     {
          $sql_updt ='update vtas1 left join vtas2 on idnum1=idnum2 ';
          $sql_updt.='set comi=0 ';
          $sql_updt.='where ifnull(status,"")not in("O","X")';
//           $sql_updt.='and item in(select item from inve1 left join inve2 on idnum1=idnum2 where ifnull(status,"")not in("O","X") and docu like "IB%")';
//           $sql_updt.='and ifnull(comi,0)=0';
          $res_updt=msql_query($sql_updt,$link_data);
          
          $sql_updt ='update vtas1 left join vtas2 on idnum1=idnum2 ';
          $sql_updt.='set comi=1 ';
          $sql_updt.='where ifnull(status,"")not in("O","X") ';
          $sql_updt.='and item in(select item from inve1 left join inve2 on idnum1=idnum2 where ifnull(status,"")not in("O","X") and docu like "IB%") ';
          $sql_updt.='and docu like "FC%"';
//           $sql_updt.='and ifnull(comi,0)=0';
          $res_updt=msql_query($sql_updt,$link_data);
          
//           $sql_updt ='update vtas1 left join vtas2 on idnum1=idnum2 ';
//           $sql_updt.='set comi=0 ';
//           $sql_updt.='where ifnull(status,"")not in("O","X")';
//           $sql_updt.='and item not in(select item from inve1 left join inve2 on idnum1=idnum2 where ifnull(status,"")not in("O","X") and docu like "IB%")';
// //           $sql_updt.='and ifnull(comi,0)=0';
//           $res_updt=msql_query($sql_updt,$link_data);
// //           echo '<br>== '.$sql_updt;
          
          
     }
     
     
}




?>